<?php

class Program extends Playlist
{
    function __construct($attributes=array ( ), $scenario='init') {
        if ( !isset($attributes['id']) && !isset($attributes["type"]) )
            $attributes['type'] = "slideshow";
        parent::__construct( $attributes, $scenario );
    }
    
     // static function to get all programs
    public static function findAll( $criteria=false, $countOnly=false ) {
        if ( $criteria===false || $criteria=="" )
            $criteria = new CDbCriteria;
        if ( $criteria->condition=="" )
            $criteria->condition = "type=slideshow";
        else 
            $criteria->condition .= " AND type=slideshow";
            
        return Playlist::findAll($criteria);
    }
    
    public function isMain() {
        $layout = new LayoutItem();
        $id = $layout->getProgramId();
        if ( $id=="") return false;
        return $this->id==$id;
    }
    
    // saving a file
    public function save( ) {
        if ( $this->name=="" )
            $this->name = self::getDisplayName( $this->id );
        if ( parent::save()===false ) return false;
        
        // force a reload of the index file, to have the latest change faster
        touch( self::$filepath."index.svg" );
        return true;
        
    }
    public function delete() {
        if (parent::delete()===false) return false;
        return true;
    }
    
    public function backup() {
    
        if ( $this->copy()===false ) return false;
        
        return true;
    }
    
}