<?php 


echo CHtml::openTag("div", array( "class"=>"welcome_section" ) );
LayoutHelper::openBorders();
echo CHtml::openTag("div", array( "class"=>"welcome_section_inside" ) );
//echo CHtml::tag("h1", array(), Yii::t('app','Welcome ' ).CHtml::tag("span", array("class"=>"blue"), CHtml::encode(Yii::app()->user->name) ) );
if ( $refresh && !Yii::app()->user->isGuest) {

    echo CHtml::submitButton(Yii::t('app', 'Logout'), array( "class"=>  "top-button-main button hidden",
															 "submit"=> array('users/logout'),
                                                             'title'=>Yii::t('app', 'Logout'),
                                                             'alt'=>Yii::t('app', 'Logout'),
															)
							);
                            
    echo CHtml::tag("div", array('class'=>'screenshot'), CHtml::image("/snapshot/snapshot.php", "",array('class'=>'splash', 'id'=>'Splash')) );
	
	echo CHtml::tag("div", array( 'class'=>'refresh'), 
							CHtml::button(Yii::t('app', 'Refresh'), array(
																		"onclick"=>"$('#Splash').attr('src', '/snapshot/snapshot.php?r='+Math.random());", 
																		"class"=>"right-button button",
																		)
                                    )
					);

					
} else {
    echo CHtml::image("images/splash.png", "",array('class'=>'splash'));
	
	
}
echo CHtml::closeTag("div")."\n"; //welcome_section_inside
LayoutHelper::closeBorders();
echo CHtml::closeTag("div")."\n"; //welcome_section

$n=0;
if ( !Yii::app()->user->activated ) {
    $content = Yii::t('app','Please open Control Center to activate Fusion');
    $this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=>CHtml::tag("span", array(), Yii::t('app','Fusion')) . " ". CHtml::tag("span", array('class'=>'blue'), Yii::t('app','Not activated' )),
                                                'content'=>$content,
                                                'link'=>"/index.php?r=admin/fusion",
                                   )
               );
}

if ( Yii::app()->user->activated && Yii::app()->user->isGuest ) {

    $content = CHtml::openTag("div", array('class'=>'user_password login' ) );
    if ( $user->hasErrors() ) {
		$err =  $user->getErrors();
		
		if ( count($err)>0 )
			$content .= CHtml::tag("div", array('class'=>'errorLogin'), array_shift(array_shift($err)));
	}
    

    $content .= CHtml::activeTextField($user,'username', array( 'title'=>$user->getAttributeLabel('username') ) 
                                        );

    $content .= CHtml::activePasswordField($user,'password', array('title'=>$user->getAttributeLabel('password')) 
                                        );


    $content .= CHtml::activeCheckBox($user,'rememberMe') . CHtml::activeLabel($user,'rememberMe');

    $content .= CHtml::closeTag("div" );

    $this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=>Yii::t('app','Please Login'),
                                                'content'=>$content,
                                                'link'=>array('users/login'),
                                                'post'=>true,
                                    )
                );
}


if ( $n<4 && Yii::app()->user->checkAccess("program") && isset($status['activate']) && $status['activate']!==false ) {
    $layout  = new LayoutItem();
    $current_id = $layout->getProgramId();
    $prog = new Program( array('id'=>$current_id));
    $this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=> Yii::t('app','Active Program' ),
                                                'link'=>array('player/edit', 'id'=>$current_id),
                                                'content'=> CHtml::tag("div", array( 'class'=>"adds_img_left" ), 
                                                                                CHtml::tag("div", array( 'class'=>"program manage_item_preview" ), 
                                                                                                 CHtml::image($prog->webpathPreview, "", array( "class"=>"program preview_large") )
                                                                                    
                                                                                    )
                                                            ).
                                                            CHtml::tag("span", array(), Yii::t('app','Control the media curently displayed by the device.' ) )
                                    )
                );
}
$lastaction = Yii::app()->user->getLastAction( );
mb_internal_encoding("UTF-8");
if ( $n<4 && isset($lastaction['action']) ) {
	if ( Yii::app()->user->checkAccess("file") && $lastaction['action']=='media' )
		$this->widget('application.components.AddBoxes',array(
											'first'=>$n++==0,
											'title'=>Yii::t('app','Manage Media'),
											'link'=>array('files/list'),
											'content'=> CHtml::tag("div", array(  ), 
																	CHtml::image("images/mini_media.jpg", "", array( 'class'=>'adds_img_left' ) ) .
																	CHtml::tag("span", array(), Yii::t('app','Upload, view or delete Media files.' ))
																),
								)
			);
	if ( ( Yii::app()->user->checkAccess("program") || Yii::app()->user->checkAccess("activate") ) && 
		 ( $lastaction['action']=='activate' || $lastaction ['action']=='program_create' ) )
		$this->widget('application.components.AddBoxes',array(
											'first'=>$n++==0,
											'title'=>Yii::t('app','Manage Programs'),
											'link'=>array('player/restore'),
											'content'=> CHtml::tag("div", array(  ), 
																	CHtml::image("images/mini_program.jpg", "", array( 'class'=>'adds_img_left' ) ) .
																	(Yii::app()->user->checkAccess("program")?
                                                                        CHtml::tag("span", array(), Yii::t('app','Create, delete or activate Programs.' )):
                                                                        CHtml::tag("span", array(), Yii::t('app','View or activate Programs.' ))
                                                                    )
																),
								)
			);
    if ( Yii::app()->user->checkAccess("program") && $lastaction['action']=='program_edit' ){
        $prog = new Program( array('id'=>$lastaction['id']));
        $na = Yii::t('app','Program {name}', array("{name}"=>$lastaction['name'] ) );
        if ( mb_strlen($na) > 20 )
            $na = mb_substr($na, 0, 17)."..."; 
		$this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=>Chtml::encode( $na ),
                                                'link'=>array('player/edit', 'id'=>$lastaction['id']),
                                                'content'=> CHtml::tag("div", array( 'class'=>"adds_img_left" ), 
                                                                            CHtml::tag("div", array( 'class'=>"program manage_item_preview" ), 
                                                                                             CHtml::image($prog->webpathPreview, "", array( "class"=>"program preview_large") )
                                                                                
                                                                                )
                                                            ).
                                                            CHtml::tag("span", array(), Yii::t('app','Edit the last modified Program. Note that this program is not active.' ) )
                                    )
                );
    }
    if ( Yii::app()->user->checkAccess("slide") && $lastaction['action']=='slides' ){
        $prog = new SlideItem( array('id'=>$lastaction['id']));
        $na = Yii::t('app','Slide {name}', array("{name}"=>$lastaction['name']) );
        if ( mb_strlen($na) > 20 )
            $na = mb_substr($na, 0, 17)."..."; 
		$this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=>Chtml::encode( $na ),
                                                'link'=>array('slides/modify', 'id'=>$lastaction['id']),
                                                'content'=> CHtml::tag("div", array( 'class'=>"adds_img_left" ), 
                                                                            CHtml::tag("div", array( 'class'=>"slide manage_item_preview" ), 
                                                                                             CHtml::image($prog->webpathPreview, "", array( "class"=>"slide preview_large") )
                                                                                
                                                                                )
                                                            ).
                                                            CHtml::tag("span", array(), Yii::t('app','Edit the last modified Slide.' ) )
                                    )
                );
    }
    if ( Yii::app()->user->checkAccess("playlist") && $lastaction['action']=='playlists' ){
        $prog = new PlaylistItem( array('id'=>$lastaction['id']));
        $na = Yii::t('app','Playlist {name}', array("{name}"=>$lastaction['name']) );
        if ( mb_strlen($na) > 20 )
            $na = mb_substr($na, 0, 17)."..."; 
		$this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=>Chtml::encode( $na ),
                                                'link'=>array('playlist/edit', 'id'=>$lastaction['id']),
                                                'content'=> CHtml::tag("div", array( 'class'=>"adds_img_left" ), 
                                                                            CHtml::tag("div", array( 'class'=>"program manage_item_preview" ), 
                                                                                             CHtml::image($prog->webpathPreview, "", array( "class"=>"program preview_large") )
                                                                                
                                                                                )
                                                            ).
                                                            CHtml::tag("span", array(), Yii::t('app','Edit the last modified Playlist.' ) )
                                    )
                );
    }
}
if ($n<4 && !Yii::app()->user->checkAccess("program") && Yii::app()->user->checkAccess("slide")) {
    $slides = Yii::app()->user->getLastSlides( );
    if ( $lastaction['action']=='slides' ){
        $pos=1;
    }else {
        $pos=0;
    }
    if ( is_array($slides) && count($slides)>$pos ) {
        $id = $slides[$pos]['id'];
        $name = $slides[$pos]['name'];
        $na = Yii::t('app','Slide {name}', array("{name}"=>$name ) );
        if ( mb_strlen($na) > 21 )
            $na = mb_substr($na, 0, 18)."..."; 
        $prog = new SlideItem( array('id'=>$id));
		$this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=>Chtml::encode( $na ),
                                                'link'=>array('slides/modify', 'id'=>$id),
                                                'content'=> CHtml::tag("div", array( 'class'=>"adds_img_left" ), 
                                                                            CHtml::tag("div", array( 'class'=>"slide manage_item_preview" ), 
                                                                                             CHtml::image($prog->webpathPreview, "", array( "class"=>"slide preview_large") )
                                                                                
                                                                                )
                                                            ).
                                                            CHtml::tag("span", array(), Yii::t('app','Edit the last modified Slide.' ) )
                                    )
                );
    }
}

if ( $n<4 ) {
    
	// tip regaring the current users acions
	if ( Yii::app()->user->isGuest && ( isset($status['user']) && $status['user']===false) ){
		$title = Yii::t('app','Default Users' );
		$desc = CHtml::tag("span", array(), Yii::t('app',"No users are currently defined in the system.")."<br/>".
											 Yii::t('app',"You can login using: <br/>Username: admin<br/>Password: admin" )
						);
		$link = false;
		
	} else if ( Yii::app()->user->name=='admin' && isset($status['user']) && ($status['user']===false || $status['user']==1) ){
		$title = Yii::t('app','Next Create Users' );
		$desc = CHtml::tag("span", array(), Yii::t('app',"Please create Users to work with your content." ). "<br/>".
											Yii::t('app', "Use the Settings menu, Users tab.")
                            );
		$link = array('settings/settings', 'page'=>'users');
	} else if ( Yii::app()->user->checkAccess("file") && isset($status['media']) && !$status['media'] ){
		// no media on the sytem
		$title = Yii::t('app','Next Upload Media' );
		$desc = CHtml::tag("span", array(), Yii::t('app','You need to upload some media files in order to get started.' ). "<br/>".
											Yii::t('app', "Use the Media menu.") 
                        );
		$link = array('files/list');
	}  else if ( Yii::app()->user->checkAccess("program") && isset($status['program']) && !$status['program'] ){
		// no program on the sytem
        $title = Yii::t('app','Next Create Programs' );
		$desc = CHtml::tag("span", array(), Yii::t('app','You need to create a Program to start displaying your content.' ). "<br/>".
											Yii::t('app', "Use the Programs menu.")
                            );
		$link = array('player/restore');
	} else if ( Yii::app()->user->checkAccess("activate") && isset($status['activate']) && !$status['activate'] ){
		// no program on the sytem
        $title = Yii::t('app','Next Activate Programs' );
		$desc = CHtml::tag("span", array(), Yii::t('app','You need to activate a Program to start displaying your content.' ). "<br/>".
											Yii::t('app', "Use the Programs menu.")
                        );
		$link = array('player/restore');
	} else if ( Yii::app()->user->checkAccess("model") && isset($status['layout']) && !$status['layout'] && rand(0,1)==0 ){
		$title = Yii::t('app','Next Upload Skins' ); 
		$desc = CHtml::tag("span", array(), Yii::t('app','You can upload Skins to control the position of the Program on your screen.' ) );
		$link = array('settings/settings', 'page'=>'skin');
	} else if ( Yii::app()->user->checkAccess("model") && isset($status['template']) && !$status['template'] && rand(0,1)==0 ){
        $title = Yii::t('app','Next Upload Templates' ); 
		$desc = CHtml::tag("span", array(), Yii::t('app','Use the Settings menu to upload Slide Templates to enable the creation of Slides.' ) );
		$link = array('settings/settings', 'page'=>'templates');
	} else if ( Yii::app()->user->checkAccess("slide") && isset($status['slide']) && !$status['slide'] && isset($status['template']) && $status['template'] && rand(0,1)==0 ){
		$title = Yii::t('app','Next Create Slides' );
		$desc = CHtml::tag("span", array(), Yii::t('app','You can create Slides to customize some of the media and strings displayed on the screen.' ) );
		$link = array('slides/list');
	} else if ( Yii::app()->user->checkAccess("program") && isset($status['program']) && $status['program']==1 && rand(0,1)==0 ){
		$title = Yii::t('app','Tip More Programs' );
		$desc = CHtml::tag("span", array(), Yii::t('app','Use the Programs menu to create additional Programs. Each Program can be activated to be displayed on the screen.' )
                            );
		$link = array('player/restore');
	} else if ( Yii::app()->user->checkAccess("program") && isset($status['slide']) && (rand(0,1)==0 || !$status['slide']) ){
        $title = Yii::t('app','Tip Manage Programs' );
		$desc = CHtml::tag("span", array(), Yii::t('app','Use the Programs menu to edit existing Programs or create new ones. Programs control the content displayed on the screen.' ));
		$link = array('player/restore');
	} else if ( Yii::app()->user->checkAccess("edit") && isset($status['slide']) && isset($status['program']) && $status['slide'] && ( rand(0,1)==0 || $status['program']==1) ){
		$title = Yii::t('app','Tip Manage Slides' );        
		$desc = CHtml::tag("span", array(), Yii::t('app','Use the Slides menu to edit existing Slides and modify the content displayed on the screen.' ));
		$link = array('slides/list');
	} else if ( Yii::app()->user->checkAccess("activate") && isset($status['program']) && $status['program']>1  ){
		$title = Yii::t('app','Tip Activate Programs' );        
		$desc = CHtml::tag("span", array(), Yii::t('app','Use the Programs menu to activate a Program and modify the content displayed on the screen.' ));
		$link = array('player/restore');
	} 
	if ( isset($title) ) {
        $content = CHtml::tag("div", array(  ), 
									CHtml::image("images/tip_big.gif", "", array( 'class'=>'adds_img_left big-tip-image') ) . $desc 
							);
	
		$this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=>$title,
												'content'=>$content,
                                                'link'=>$link,
                                    )
                );
	}
}

while ($n<3 ) {
    $this->widget('application.components.AddBoxes',array(
                                                            'first'=>$n++==0,
                                                        )
                );
}

if ( $n<4 ) {
    if ( Yii::app()->user->shownews ) {
        $uri = "http://www.spinetix.com/resources/fusion/news.php";
        $sep="?";
        if ( file_exists('/etc/spinetix-release') ) {
            $release = file_get_contents('/etc/spinetix-release');
            $vals=explode(" ", $release);
            $firmware = "x.x.x";
            $build = "x.x.x";
            if (count($vals)==6 ){
                $firmware = $vals[3];
                $build = $vals[5];
            }
            $uri .= $sep."firmware=".trim($firmware)."-".trim($build);
            $sep="&";
        }
        if ( Yii::app()->user->isGuest )
            $uri .= $sep."login=no";
        else if (!$refresh)
            $uri .= $sep."login=init";
        else
            $uri .= $sep."login=yes";
        $sep="&";
        
        $uri .= $sep."lang=".Yii::app()->getLanguage();
        
        $this->widget('application.components.AddBoxes',array(
                                                    'first'=>$n++==0,
                                                    'content'=> CHtml::tag("iframe", array( 'src'=>$uri, 
                                                                                            'width'=>'200', 'height'=>'134', 'scrolling'=>'no', 'frameborder'=>'0' ), " " ),
                                        )
                    );
    } else if( !Yii::app()->user->isGuest ){
        $this->widget('application.components.AddBoxes',array(
                                                'first'=>$n++==0,
                                                'title'=>Yii::t('app','Get Latest News' ),
												'content'=>CHtml::tag("span", array(), Yii::t('app','Get the latest news and tips from SpinetiX.' )),
                                                'link'=>array('settings/enablenew'),
                                    )
                );
    } else {
        $this->widget('application.components.AddBoxes',array(
											'first'=>$n++==0,
											'title'=>Yii::t('app','Open Control Center'),
											'link'=>"../index.php",
											'content'=> CHtml::tag("div", array(  ), 
																	CHtml::image("images/mini_cc.png", "", array( 'class'=>'adds_img_left' ) ) .
																	CHtml::tag("span", array(), Yii::t('app','Open Control Center to configure the player.' ))
																),
								)
			);
    }
}

$script =<<<EOL
	function setMarks( p ) {
		$("input", p).each( function() {
			$(this).watermark($(this).attr('title'), {className: 'watermark'});
		});
	};
	setMarks ($('.user_password'));
EOL;

echo CHtml::script($script);
