<?php

LayoutHelper::openBorders();


echo CHtml::openTag("div", array('class'=>'settings_header_inside' ) );
echo CHtml::beginForm();

echo CHtml::openTag("div", array('class'=>'user_password' ) );
echo CHtml::tag('h1', array(), Yii::t('app','Please Login'));


echo CHtml::errorSummary($user);

echo CHtml::activeTextField($user,'username', array( 'title'=>$user->getAttributeLabel('username') ) 
										);
	
echo CHtml::activePasswordField($user,'password', array('title'=>$user->getAttributeLabel('password')) 
										);


echo CHtml::activeCheckBox($user,'rememberMe');
echo CHtml::activeLabel($user,'rememberMe');

echo CHtml::closeTag("div" );

echo CHtml::tag("div", array('class'=>"bottom-button"), 
							CHtml::submitButton(Yii::t('app', 'Go'), array(  "class"=>  "right-button button",
															                )
                                                )
							); 

echo CHtml::endForm();

echo CHtml::closeTag("div" );

LayoutHelper::closeBorders();

$script =<<<EOL
	function setMarks( p ) {
		$("input", p).each( function() {
			$(this).watermark($(this).attr('title'), {className: 'watermark'});
		});
	};
    $(function() {
        setMarks( $('.user_password'));
    });
EOL;
echo CHtml::script($script);